Page MenuHomePhabricator

[EPIC] AMC Navigation - changes to main menu
Closed, ResolvedPublic

Description

User Story

As an advanced editor, I want the ability to access useful pages quickly

Background

We would like the main menu to display an increased range of functionality in AMC mode

Acceptance criteria

  • The main menu will contain the following pages:
    • Main page
    • Nearby
    • Random
    • Recent changes
    • Special pages
    • Community portal
    • Other projects
    • Help
  • If the device size is smaller than the total length of the menu, the menu will scroll
  • A scrolling indicator will be present at the bottom of the menu
  • Data for clicks to all new links can be collected using https://meta.wikimedia.org/wiki/Schema:MobileWebMainMenuClickTracking

Designs

fulliOSAndroid

Event Timeline

ovasileva triaged this task as High priority.Jan 24 2019, 12:26 AM
ovasileva created this task.
ovasileva updated the task description. (Show Details)Jan 24 2019, 1:08 AM

Noting T206354, in case there's an opportunity to do these in conjunction.

phuedx added a subscriber: phuedx.Mar 19 2019, 4:40 PM

Enabling click tracking for an item requires adding a data attribute to the underlying element while working with the MediaWiki\Minerva\MenuBuilder class, e.g.

pmiazga changed the status of subtask T218206: AMC Navigation - make main menu scrollable from Stalled to Open.Jun 11 2019, 3:50 PM

As I understand it all acceptance criteria are done so this is ready to be signed off and resolved.

I'm okay leaving it in signoff, but T206354: Main menu should slide over content is still an open task in this sprint - leaving it open until that is complete

Jdlrobson updated the task description. (Show Details)Aug 6 2019, 3:09 PM

@ovasileva it was my understanding T206354 was something new that came out of this work (a scope creep I'm grateful for). It's not actually called out in the epic acceptance criteria (which I've just gone through and are all satisified.

If this is the only task open we could also remove it as a subtask from the epic as the epic doesn't seem to be helpful any more (and is actually confusing)

ovasileva closed this task as Resolved.Aug 22 2019, 4:59 PM
ovasileva claimed this task.

Resolving (as T206354 is now in signoff)